<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::IO::CwdChanger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1IO_1_1CwdChanger.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1IO_1_1CwdChanger-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::IO::CwdChanger Class Reference<span class="mlabels"><span class="mlabel">final</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>A class that:  
 <a href="classOpenSim_1_1IO_1_1CwdChanger.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a14088f4533422e390400db5ac9d6838c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#a14088f4533422e390400db5ac9d6838c">CwdChanger</a> (const <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> &amp;)=delete</td></tr>
<tr class="separator:a14088f4533422e390400db5ac9d6838c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20be62290ea7f00ab0c2c86f045c1550"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#a20be62290ea7f00ab0c2c86f045c1550">CwdChanger</a> (<a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> &amp;&amp;tmp)</td></tr>
<tr class="separator:a20be62290ea7f00ab0c2c86f045c1550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba7a2be2593d104332b26a5432a91257"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#aba7a2be2593d104332b26a5432a91257">operator=</a> (const <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> &amp;)=delete</td></tr>
<tr class="separator:aba7a2be2593d104332b26a5432a91257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a874cb589e8a075b525e63920c9155a24"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#a874cb589e8a075b525e63920c9155a24">operator=</a> (<a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> &amp;&amp;)</td></tr>
<tr class="separator:a874cb589e8a075b525e63920c9155a24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d742fe1e2ffe7a0498c8a6bf358b6f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#a8d742fe1e2ffe7a0498c8a6bf358b6f3">restore</a> ()</td></tr>
<tr class="memdesc:a8d742fe1e2ffe7a0498c8a6bf358b6f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prematurely change the current working directory back to its original location.  <a href="classOpenSim_1_1IO_1_1CwdChanger.html#a8d742fe1e2ffe7a0498c8a6bf358b6f3">More...</a><br /></td></tr>
<tr class="separator:a8d742fe1e2ffe7a0498c8a6bf358b6f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa602862d9ac07d9aea718f767e0aa476"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#aa602862d9ac07d9aea718f767e0aa476">stay</a> () noexcept</td></tr>
<tr class="memdesc:aa602862d9ac07d9aea718f767e0aa476"><td class="mdescLeft">&#160;</td><td class="mdescRight">Release <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a>'s control over the current working directory, such that the <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> instance does not attempt to change back to its original directory on destruction.  <a href="classOpenSim_1_1IO_1_1CwdChanger.html#aa602862d9ac07d9aea718f767e0aa476">More...</a><br /></td></tr>
<tr class="separator:aa602862d9ac07d9aea718f767e0aa476"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ce66659e649173596b7894cb877389d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#a0ce66659e649173596b7894cb877389d">~CwdChanger</a> () noexcept</td></tr>
<tr class="memdesc:a0ce66659e649173596b7894cb877389d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructs a <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> instance.  <a href="classOpenSim_1_1IO_1_1CwdChanger.html#a0ce66659e649173596b7894cb877389d">More...</a><br /></td></tr>
<tr class="separator:a0ce66659e649173596b7894cb877389d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ae047374bbaa29eb1f9bd2d3b949ce8e8"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#ae047374bbaa29eb1f9bd2d3b949ce8e8">noop</a> ()</td></tr>
<tr class="memdesc:ae047374bbaa29eb1f9bd2d3b949ce8e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> that does nothing.  <a href="classOpenSim_1_1IO_1_1CwdChanger.html#ae047374bbaa29eb1f9bd2d3b949ce8e8">More...</a><br /></td></tr>
<tr class="separator:ae047374bbaa29eb1f9bd2d3b949ce8e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae485f69ad500091bb5f84d41dbae8256"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#ae485f69ad500091bb5f84d41dbae8256">changeTo</a> (const std::string &amp;newDir)</td></tr>
<tr class="memdesc:ae485f69ad500091bb5f84d41dbae8256"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> that changes to <code>newDir</code>.  <a href="classOpenSim_1_1IO_1_1CwdChanger.html#ae485f69ad500091bb5f84d41dbae8256">More...</a><br /></td></tr>
<tr class="separator:ae485f69ad500091bb5f84d41dbae8256"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d87380364f49c8ee5c2feff2cece655"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#a5d87380364f49c8ee5c2feff2cece655">changeToParentOf</a> (const std::string &amp;path)</td></tr>
<tr class="memdesc:a5d87380364f49c8ee5c2feff2cece655"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> that changes to the parent of <code>path</code>.  <a href="classOpenSim_1_1IO_1_1CwdChanger.html#a5d87380364f49c8ee5c2feff2cece655">More...</a><br /></td></tr>
<tr class="separator:a5d87380364f49c8ee5c2feff2cece655"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>A class that: </p>
<ul>
<li>On construction: switches the calling process's current working directory to the supplied directory</li>
<li>On destruction: switches the calling process's working directory back to its original directory. </li>
</ul>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a14088f4533422e390400db5ac9d6838c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14088f4533422e390400db5ac9d6838c">&#9670;&nbsp;</a></span>CwdChanger() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::IO::CwdChanger::CwdChanger </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20be62290ea7f00ab0c2c86f045c1550"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20be62290ea7f00ab0c2c86f045c1550">&#9670;&nbsp;</a></span>CwdChanger() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::IO::CwdChanger::CwdChanger </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>tmp</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0ce66659e649173596b7894cb877389d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ce66659e649173596b7894cb877389d">&#9670;&nbsp;</a></span>~CwdChanger()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::IO::CwdChanger::~CwdChanger </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructs a <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> instance. </p>
<p>The destructor switches the calling process's current working directory back to whatever it was before constructing the instance, unless:</p>
<ul>
<li>The instance was constructed with <code><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#ae047374bbaa29eb1f9bd2d3b949ce8e8" title="Returns a CwdChanger that does nothing.">noop()</a></code>: in this case, it does nothing</li>
<li>The instance is an rvalue temporary: does nothing </li>
</ul>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae485f69ad500091bb5f84d41dbae8256"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae485f69ad500091bb5f84d41dbae8256">&#9670;&nbsp;</a></span>changeTo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> OpenSim::IO::CwdChanger::changeTo </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>newDir</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> that changes to <code>newDir</code>. </p>

</div>
</div>
<a id="a5d87380364f49c8ee5c2feff2cece655"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d87380364f49c8ee5c2feff2cece655">&#9670;&nbsp;</a></span>changeToParentOf()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> OpenSim::IO::CwdChanger::changeToParentOf </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> that changes to the parent of <code>path</code>. </p>
<p>This is useful when changing into a file's parent dir: </p><pre class="fragment">CwdChanger::changeToParentOf(xmlFile);
</pre> 
</div>
</div>
<a id="ae047374bbaa29eb1f9bd2d3b949ce8e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae047374bbaa29eb1f9bd2d3b949ce8e8">&#9670;&nbsp;</a></span>noop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> OpenSim::IO::CwdChanger::noop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> that does nothing. </p>
<p>This is useful for conditional directory changing: </p><pre class="fragment">CwdChanger c = shouldSwitch ? CwdChanger::changeTo(p) : CwdChanger::noop();
</pre> 
</div>
</div>
<a id="aba7a2be2593d104332b26a5432a91257"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba7a2be2593d104332b26a5432a91257">&#9670;&nbsp;</a></span>operator=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a>&amp; OpenSim::IO::CwdChanger::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a874cb589e8a075b525e63920c9155a24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a874cb589e8a075b525e63920c9155a24">&#9670;&nbsp;</a></span>operator=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a>&amp; OpenSim::IO::CwdChanger::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d742fe1e2ffe7a0498c8a6bf358b6f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d742fe1e2ffe7a0498c8a6bf358b6f3">&#9670;&nbsp;</a></span>restore()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::IO::CwdChanger::restore </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prematurely change the current working directory back to its original location. </p>
<p>This is functionally equivalent to prematurely destructing the <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a>. After calling <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#a8d742fe1e2ffe7a0498c8a6bf358b6f3" title="Prematurely change the current working directory back to its original location.">CwdChanger::restore()</a>, the now-restored <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> will become a noop instance that, when it destructs, will not attempt to change back to the original directory. </p>

</div>
</div>
<a id="aa602862d9ac07d9aea718f767e0aa476"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa602862d9ac07d9aea718f767e0aa476">&#9670;&nbsp;</a></span>stay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::IO::CwdChanger::stay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Release <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a>'s control over the current working directory, such that the <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html" title="A class that:">CwdChanger</a> instance does not attempt to change back to its original directory on destruction. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/IO.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1IO.html">IO</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html">CwdChanger</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:23 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
